## digikam 1.2.0

=== debian/changelog ===
digikam (2:1.2.0-7) unstable; urgency=medium

  * Pull ratingwidget patch from upstream (Closes: #591918)
    - http://bugs.kde.org/show_bug.cgi?id=232628

 -- Mark Purcell <msp@debian.org>  Sat, 14 Aug 2010 17:23:44 +1000

digikam (2:1.2.0-6) unstable; urgency=low

  * Pull big-endian thumbnails patch from upstream
    - https://bugs.kde.org/show_bug.cgi?id=233094

 -- Mark Purcell <msp@debian.org>  Tue, 27 Jul 2010 07:39:25 +1000

digikam (2:1.2.0-5) unstable; urgency=low

  * Added epoc: Fix "Incorrect Conflicts/Replaces versions" (Closes: #584792)

 -- Mark Purcell <msp@debian.org>  Mon, 07 Jun 2010 08:04:43 +1000

digikam (2:1.2.0-4) unstable; urgency=low

  * Upload to unstable
  * dh $@ --with kde
  * Tighten HTML Build-Deps
  * Add digikam-data package. Fixes arch-dep-package-has-big-usr-share

 -- Mark Purcell <msp@debian.org>  Sat, 05 Jun 2010 10:13:31 +1000

digikam (2:1.2.0-3) experimental; urgency=medium

  * Fix "Crash just after start" digikam-1.2.0-kde232628.patch (Closes: #580792)

 -- Mark Purcell <msp@debian.org>  Sun, 09 May 2010 22:37:39 +1000

digikam (2:1.2.0-2) unstable; urgency=low

  * Upload to unstable for KDE SC 4.4.3 (Closes: #579985, #577688, #569729) 
  * Upgrade to dh 7 - drop cdbs

 -- Mark Purcell <msp@debian.org>  Mon, 03 May 2010 08:41:45 +1000

digikam (2:1.2.0-1) experimental; urgency=low

  * New upstream release
  * Renable Build-Depends: libmarble-dev
  * Drop quilt & debian/patches - included upstream

 -- Mark Purcell <msp@debian.org>  Wed, 07 Apr 2010 19:39:11 +1000

digikam (2:1.1.0-1+snapshots) UNRELEASED; urgency=low

  * Special build for experimental-snapshots
  * Build-Depends: libkipi-dev libkdcraw-dev

 -- Mark Purcell <msp@debian.org>  Sat, 06 Mar 2010 17:40:16 +1100

digikam (2:1.1.0-1) unstable; urgency=low

  * New upstream release 
    - AdvancedRename : The ReplaceModifier has regular expressions support now.
    - ImageEditor : Add an option to add vignetting over an image.
    - Fixes "ftbfs with gcc-4.5" (Closes: #564975)
    - Fixes "Save window in editor lock main browse window" (Closes: #551535)
  * Recommends: dolphin used in the Open Filemanager function
    - non-kde users are not required to install Recommends:
    - Fix "digikam 1.0 should Recommend: dolphin" (Closes: #562152)
  * Build-Conflicts: libmarble-dev (See bug 560893)
    - causes 100% CPU on exit

 -- Mark Purcell <msp@debian.org>  Tue, 02 Feb 2010 18:04:57 +0100

digikam (2:1.0.0-1) unstable; urgency=low

  * New upstream release

  [ Luka Renko ]
  * Do not recommend dolphin: not used, make non-kde users happy
  * Change Vcs-Svn/Vcs-Browser links to correct location
  * Add upstream fix for crash in editor
    - more info: http://bugs.kde.org/219559
    - debian/patches/10_kdesvn_r1064789_fix_editor_crash.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 21 Dec 2009 21:27:10 +0100

digikam (2:1.0.0~rc-1) unstable; urgency=low

  * New upstream release
  * Bugs fixed upstream:
    - (Closes: #555972,#533434,#524392,#518674,#558169,#558168)
  * Print Wizard reworked - now Print Assistant:
    - (Closes: #529345,#529346,#529347,#424763)

 -- Mark Purcell <msp@debian.org>  Wed, 02 Dec 2009 18:43:31 +1100

digikam (2:1.0.0~beta6-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Tue, 10 Nov 2009 08:05:18 +1100

digikam (2:1.0.0~beta5-1) unstable; urgency=low

  * New upstream release
  * Remove 01_dont_use_tests_directory.diff - fixed upstream
  * Add libx11-dev build dependency to fix a ftbfs
  * Update Standards Version to 3.8.3 (no changes needed)

 -- Fathi Boudra <fabo@debian.org>  Tue, 06 Oct 2009 10:24:45 +0200

digikam (2:1.0.0~beta4-2) unstable; urgency=low

  [ José Manuel Santamaría Lema ]

  * Add 01_dont_use_tests_directory.diff patch:
    - avoid including the "tests" directory (Closes: #544677, #545436)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 06 Sep 2009 23:22:36 +0200

digikam (2:1.0.0~beta4-1) unstable; urgency=low

  * New upstream release 
  * top level tests/ required

 -- Mark Purcell <msp@debian.org>  Tue, 01 Sep 2009 17:53:38 +1000

digikam (2:1.0.0~beta3-1) unstable; urgency=low

  * New upstream release

 -- Fathi Boudra <fabo@debian.org>  Sat, 25 Jul 2009 08:43:28 +0200

digikam (2:1.0.0~beta2-1) unstable; urgency=low

  * New upstream release
  * Update Standards Version 3.8.2 - no changes necessary
  * Add libglib2.0-dev build dependency
  * Update installed files and add not-installed.

 -- Fathi Boudra <fabo@debian.org>  Thu, 09 Jul 2009 10:09:06 +0200

digikam (2:1.0.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Removed NEWS warning about digikam 0.10 beta
    - (Closes: #524067): "please remove NEWS entry"
  * Add Build-Depends:  liblqr-1-0-dev
  * Update Standards Version 3.8.1 - no changes necessary
  * Move shofoto data directory to showfoto package. Conflicts/Replaces
    added. Thks ubuntu

 -- Mark Purcell <msp@debian.org>  Wed, 10 Jun 2009 22:17:30 +1000

digikam (2:0.10.0-2) unstable; urgency=low

  [ Luka Renko ]
  * Merge all remaining changes from Ubuntu:
    - Depends: kde-icons-oxygen dropped (included through kdelibs)
    - Recommends: kipi-plugins added (provides major functionality)
    - debian/digikamthemedesigner.manpage: add missing manpage

  [ Mark Purcell ]
  * Upload to unstable - KDE4 is here ;-) 

 -- Mark Purcell <msp@debian.org>  Tue, 07 Apr 2009 19:35:12 +1000

digikam (2:0.10.0-1) experimental; urgency=low

  * New upstream release
    - Fixes "digiKam 0.10.0 Release Plan (KDE4)" (Closes: #494270)
    - Fixes "missing 0.10.0~rc2 binary for amd64" (Closes: #517455)
  * Recommends: dolphin (Open FileManager), www-browser (ReportBug, About)
  * digikam uses marble plugins provided by libmarble4 now
    - Fixes "Digikam (experimental) doesn't work at all" (Closes: #491458)
  * digikam-dbg Section: debug
  * Build-Depends: liblensfun-dev


