=== debian/control ===
Source: digikam
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.2), pkg-kde-tools (>= 0.9), cmake (>= 2.6.2), autotools-dev,
 kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev,
 libglib2.0-dev, libgphoto2-2-dev (>= 2.4),
 libkipi-dev, libkexiv2-dev, libkdcraw-dev, libmarble-dev (>= 4:4.4),
 liblcms1-dev, libtiff4-dev, libpng12-dev, liblqr-1-0-dev,
 libjasper-dev,
 liblensfun-dev,
 libsqlite3-dev,
 libltdl3-dev,
 libx11-dev
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/digikam/trunk?op=log
Homepage: http://www.digikam.org

Package: digikam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, digikam-data (= ${source:Version})
Recommends: www-browser, kipi-plugins
Suggests: digikam-doc
Description: digital photo management application for KDE
 Digital photo management program designed to import, organize, enhance, search
 and export your digital images to and from your computer.
 .
 Some of the new features in this release of digiKam include (compared to
 digiKam 0.9.4):
  Designed from the ground-up for KDE4, using KDE4 technology:
  Hardware handling with KDE4's Solid interface
  More comprehensive multimedia file handling using KDE4's Phonon interface
  Easy Geolocation with KDE4's Marble interface
  XMP metadata support
  TIFF/EP RAW metadata editing
  Customizable file storage for the digiKam database, supporting remote albums
  Support of multiple root album paths (no more importing into one giant album)
  Thumbnail-bar integration for easy navigation and editing
  Supports the latest camera RAW files
 .
 New/revamped tools:
  Revamped camera import wizard
  LensFun integration: auto-correction of lens distortion
  Fuzzy searches based on hand-drawn sketches
  Advanced searches using image meta-information, like keywords and dates
  Map searching that gives you the power to search for global photo locations
  Advanced searches for duplicate and similar images
 .
 digiKam can also make use of the KIPI image handling plugins to
 extend its capabilities even further for photo manipulations,
 import and export, etc. The kipi-plugins package contains many
 very useful extentions.

Package: showfoto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version})
Recommends: dolphin, kipi-plugins
Conflicts: digikam (<= 2:0.10.0-1ubuntu1)
Replaces: digikam (<= 2:0.10.0-1ubuntu1)
Description: image viewer/editor for KDE
 Showphoto is the standalone image editor of the  digiKam project.
 .
 It runs without digiKam images database support, but provides all Image Editor
 functions.

Package: digikam-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version}), showfoto (= ${binary:Version}), kdelibs5-dbg
Priority: extra
Description: debugging symbols for digikam
 The debugging symbols associated with digikam and showfoto. They will
 automatically be used by gdb for debugging digikam-related issues.

Package: digikam-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: digikam (<= 2:1.2.0-4)
Replaces: digikam (<= 2:1.2.0-4)
Description: digikam architecture-independant data
 Contains the significant amount of architecture-independent data that is
 shipped with digikam.
 .
 It has been placed in an architecture all file so we do not have
 to ship one copy for each architecture.
