=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --parallel

override_dh_strip:
	dh_strip -a --dbg-package=digikam-dbg
