## digikam 1.4.0

=== debian/changelog ===
digikam (2:1.4.0-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release (LP: #626751)
  * Install the file NEWS as upstream changelog because "ChangeLog" is
    too verbose.
  * Don't copy the desktop .pot file to imageplugins, not needed anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 26 Aug 2010 19:25:16 +0200

digikam (2:1.3.0-0ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Enable Nepomuk support in Digikam
      - Add shared-desktop-ontologies to build depends
  * New upstream release:
    - Remove digikam-1.2.0-kde232628.patch fixed by upstream
    - Add mysql-server-5.1 to buil-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 18 Jun 2010 21:58:46 +0200

digikam (2:1.2.0-4ubuntu2) maverick; urgency=low

  * Rebuild for libmarblewidget4 -> libmarblewidget10 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 09 Jun 2010 03:48:41 +0200

digikam (2:1.2.0-4ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Enable Nepomuk support in Digikam
      + Add shared-desktop-ontologies to build depends

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 05 Jun 2010 18:38:57 +0200

digikam (2:1.2.0-0ubuntu3) maverick; urgency=low

  * Update build-deps for libkipi-dev, libkexiv2-dev, libkdcraw-dev to new
    package names

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 May 2010 12:05:11 +0000

digikam (2:1.2.0-0ubuntu2) lucid; urgency=low

  * Add kubuntu_01_fix_crash_startup_in_ratingwidget.diff (LP: #565604)
  * Add quilt to build-depends
  * Add include /usr/share/cdbs/1/rules/patchsys-quilt.mk in debian/rules

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 18 Apr 2010 11:06:03 +0200

digikam (2:1.2.0-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #560576)
  * Remove all patches, fixed upstream
    - Remove quilt build-depend

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 09 Apr 2010 21:30:01 +0200

digikam (2:1.1.0-1ubuntu2) lucid; urgency=low

  * Enable Nepomuk support in Digikam
    - Add shared-desktop-ontologies to build depends

 -- Luka Renko <lure@ubuntu.com>  Tue, 09 Feb 2010 15:32:01 +0100

digikam (2:1.1.0-1ubuntu1) lucid; urgency=low

  * New upstream release:
    - Rename in BQM fails with multi dot names (LP: #501135)
    - Add collection with similar name fails (LP: #500581)
    - Add SMB folder error message (LP: #350280)
    - Zoom indicators indicate wrong magnification (LP: #510346)
  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Build-depend on libkipi7-dev, libkexiv2-8-dev and
      libkdcraw8-dev (KDE 4.3 -> 4.4)
    - Build-depend on libmarble-dev (was disabled temporarily
      in Debian due to 4.3.4 regression)

 -- Luka Renko <lure@ubuntu.com>  Thu, 04 Feb 2010 07:46:57 +0100

digikam (2:1.0.0-1ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Build-depend on libkipi7-dev, libkexiv2-8-dev and
      libkdcraw8-dev (KDE 4.3 -> 4.4)
  * Build-depend on liblqr-1-0-dev: now in main (LP: #493508)

 -- Luka Renko <lure@ubuntu.com>  Tue, 22 Dec 2009 21:38:14 +0100

digikam (2:1.0.0~rc-1ubuntu2) lucid; urgency=low

  * Change build-dep on libkipi6-dev, libkexiv2-7-dev, and libkdcraw7-dev to
    libkipi7-dev, libkexiv2-8-dev, and libkdcraw8-dev (KDE 4.3 -> 4.4)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Dec 2009 10:42:42 -0500

digikam (2:1.0.0~rc-1ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Remove liblqr-1-0-dev from build-deps, not in main

 -- Luka Renko <lure@ubuntu.com>  Sun, 06 Dec 2009 19:35:35 +0100

digikam (2:1.0.0~beta6-1ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:50 +0000

digikam (2:1.0.0~beta6-1ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Remove liblqr-1-0-dev from build-deps, not in main

 -- Luka Renko <lure@ubuntu.com>  Thu, 12 Nov 2009 18:02:13 +0100

digikam (2:1.0.0~beta5-1ubuntu1) karmic; urgency=low

  * New upstream release (LP: #445232)
  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Remove liblqr-1-0-dev from build-deps, not in main

 -- Luka Renko <lure@ubuntu.com>  Wed, 07 Oct 2009 07:11:34 +0200

digikam (2:1.0.0~beta3-1ubuntu1) karmic; urgency=low

  * Merge with debian unstable, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Remove liblqr-1-0-dev from build-deps, not in main

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Jul 2009 22:11:35 +0200

digikam (2:1.0.0~beta1-1ubuntu2) karmic; urgency=low

  * Remove liblqr-1-0-dev from build-deps, not in main

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 23 Jun 2009 14:42:23 +0200

digikam (2:1.0.0~beta1-1ubuntu1) karmic; urgency=low

  * Merge with debian unstable, remaining changes:
    - export .pot name and copy to plugins in debian/rules
    - digikam.install: add /usr/bin/cleanup_digikamdb

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 19 Jun 2009 19:56:52 +0200

digikam (2:0.10.0-2ubuntu1) karmic; urgency=low

  * Merge with Debian, remaining changes:
   - export .pot name and copy to plugins in debian/rules
   - Move showfoto data directory to showfoto package. (edit showfoto.install and digikam.install)
     Conflicts/Replaces added to take care of transition.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2009 16:16:01 +0100

digikam (2:0.10.0-1ubuntu3) jaunty; urgency=low


