=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: digikam
 Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.2), pkg-kde-tools (>= 0.9), cmake (>= 2.6.2), autotools-dev,
  kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev,
  libglib2.0-dev, libgphoto2-2-dev (>= 2.4),
  libkipi-dev, libkexiv2-dev, libkdcraw-dev, libmarble-dev (>= 4:4.4),
+ shared-desktop-ontologies,
  liblcms1-dev, libtiff4-dev, libpng12-dev, liblqr-1-0-dev,
  libjasper-dev,
  liblensfun-dev,
  libsqlite3-dev,
  libltdl3-dev,
- libx11-dev
+ libx11-dev,
+ mysql-server-5.1
 Standards-Version: 3.8.4
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/digikam/trunk?op=log
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/digikam/ubuntu
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/digikam/ubuntu
 Homepage: http://www.digikam.org
 
 Package: digikam
