=== debian/changelog ===
digikam (2:1.9.0-1ubuntu1) natty; urgency=low

  * Merge with debian, remaining changes
    - Export .pot name and copy to plugins in debian/rules
  * Add an AppArmor profile for the local mysql server. (LP: #735949)
    - Use a wrapper script for mysqld.
    - Add kubuntu_01_mysqld_executable_name.diff so digikam uses the
      wrapper script instead of directly running mysqld.
  * Make digikam suggest libqt4-sql-mysql and mysql-server-core-5.1.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 17 Mar 2011 11:21:31 +0100

digikam (2:1.9.0-1) experimental; urgency=low

  * New upstream release
    - Requires packages from http://qt-kde.debian.net/

 -- Mark Purcell <msp@debian.org>  Sat, 05 Mar 2011 09:57:45 +1100

digikam (2:1.8.0-1ubuntu1) natty; urgency=low

  * Merge with debian, remaining changes
    - Export .pot name and copy to plugins in debian/rules
    - Version build-depends on kipi-plugins-dev to ensure build is against the
      same version on all archs

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Jan 2011 15:54:05 +0100

digikam (2:1.8.0-1) experimental; urgency=low

  * New upstream release
    - Requires packages from http://qt-kde.debian.net/

 -- Mark Purcell <msp@debian.org>  Wed, 22 Dec 2010 07:35:26 +1100

digikam (2:1.7.0-1ubuntu1) natty; urgency=low

  * Merge from Debian Experimental. Remaining Ubuntu changes:
    - Export .pot name and copy to plugins in debian/rules
    - Version build-depends on kipi-plugins-dev to ensure build is against the
      same version on all archs
  * Drop debian/patches/kubuntu_01_linker.diff, incoporated upstream
  * Remove patches directory and unused patches

 -- Scott Kitterman <scott@kitterman.com>  Tue, 21 Dec 2010 23:19:11 -0500

digikam (2:1.7.0-1) experimental; urgency=low

  * New upstream release
    - Requires packages from http://qt-kde.debian.net/

 -- Mark Purcell <msp@debian.org>  Wed, 22 Dec 2010 07:35:26 +1100

digikam (2:1.6.0-1) experimental; urgency=low

  * New upstream release (Closes: #585081)
  * Remove debian/patches included upstream
  * Update Build-Depends for KDE SC 4.5
    - Add Build-Depends: shared-desktop-ontologies & mysql-server-5.1
    - Requires packages from http://qt-kde.debian.net/
  * New watch file for sf.net
  * dh_installchangelogs NEWS

 -- Mark Purcell <msp@debian.org>  Sun, 28 Nov 2010 11:50:13 +1100

digikam (2:1.6.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * Add kubuntu_01_linker.diff to fix linking

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Dec 2010 12:06:40 +0000

digikam (2:1.5.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Build against libkipi-dev 1.5.0

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 24 Oct 2010 00:20:43 +0200
