=== debian/control ===
--- 
+++ 
@@ -2,30 +2,33 @@
 Section: graphics
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+XSBC-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.2), pkg-kde-tools (>= 0.9), cmake (>= 2.6.2), autotools-dev,
+ doxygen,
  kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev,
+ shared-desktop-ontologies,
+ mysql-server-5.1 | mysql-server,
  libglib2.0-dev, libgphoto2-2-dev (>= 2.4),
- libkipi-dev, libkexiv2-dev, libkdcraw-dev, libmarble-dev (>= 4:4.4),
- shared-desktop-ontologies,
+ libkipi-dev, libkexiv2-dev (>= 4:4.5), libkdcraw-dev (>= 4:4.5), libmarble-dev (>= 4:4.5),
  liblcms1-dev, libtiff4-dev, libpng12-dev, liblqr-1-0-dev,
  libjasper-dev,
  liblensfun-dev,
  libsqlite3-dev,
  libltdl3-dev,
- libx11-dev,
- mysql-server-5.1
+ libx11-dev
 Standards-Version: 3.8.4
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/digikam/ubuntu
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/digikam/ubuntu
+XS-Debian-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
+XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/digikam/trunk?op=log
 Homepage: http://www.digikam.org
 
 Package: digikam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, digikam-data (= ${source:Version})
 Recommends: www-browser, kipi-plugins
-Suggests: digikam-doc
+Suggests: digikam-doc, libqt4-sql-mysql, mysql-server-core-5.1
 Description: digital photo management application for KDE
  Digital photo management program designed to import, organize, enhance, search
  and export your digital images to and from your computer.
