=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,14 @@
 
 override_dh_strip:
 	dh_strip -a --dbg-package=digikam-dbg
+
+override_dh_install:
+	dh_install
+	install -m 644 -p -D debian/usr.sbin.mysqld-digikam \
+		debian/digikam/etc/apparmor.d/usr.sbin.mysqld-digikam
+	install -m 755 -p -D debian/mysqld-digikam \
+		debian/digikam/usr/sbin/mysqld-digikam
+
+override_dh_installinit:
+	dh_installinit
+	dh_apparmor -pdigikam --profile-name=usr.sbin.mysqld-digikam
